name: Clang Format Checker
on:
  pull_request:
    types: [opened, synchronize, reopened]
jobs:
  build:
    runs-on: ubuntu-22.04
    steps:
    - uses: actions/checkout@v4
    - uses: cpp-linter/cpp-linter-action@v2.7.2
      id: linter
      env:
        GITHUB_TOKEN: ${{ secrets.GITHUB_TOKEN }}
      with:
        style: file
        lines-changed-only: true
        version: 14
    - name: Fail fast?!
      if: steps.linter.outputs.checks-failed > 0
      run: echo "Some files failed the linting checks!"
